import React from 'react';
import Svg,{ G, Path,Ellipse,Circle} from 'react-native-svg';

export default class EditProfileEmailIcon extends React.Component {
    render() {
        return (
            <Svg height="20" width="20" viewBox="0 0 364.464 364.464">
                <G>
                    <G>
                        <Path d="M350.326,136.654c-1.936-2.163-5.154-2.603-7.6-1.04l-15.52,10v-126c-0.462-7.187-6.662-12.639-13.849-12.177    c-0.077,0.005-0.154,0.011-0.231,0.017H43.286c-7.178-0.589-13.474,4.752-14.063,11.929c-0.006,0.077-0.012,0.154-0.017,0.231    v120.96l-7.44-4.8c-2.527-1.805-6.019-1.351-8,1.04c-9.083,11.088-13.956,25.028-13.76,39.36v124.96    c0.32,27.04,15.04,55.92,56.24,55.92h252.16c27.04,0,56-14.72,56-56v-124.88C365.07,161.665,360.015,147.475,350.326,136.654z     M43.286,19.454h270c1.28,0,2,0.48,2,0v134.16l-132.96,86.24l-141.04-91.44l-0.16-128.24    C41.721,19.656,42.498,19.397,43.286,19.454z M14.326,314.494c-1.081-4.372-1.645-8.856-1.68-13.36l-0.24-124.96    c-0.082-9.591,2.523-19.013,7.52-27.2l115.04,74.56L14.326,314.494z M308.406,345.054l-0.08-0.08H56.246    c-20.96,0-32-8.88-37.68-18.96l127.04-95.76l33.44,21.68c0.795,0.401,1.67,0.619,2.56,0.64c0.89-0.021,1.765-0.239,2.56-0.64    l32.56-21.12l127.52,96C335.939,338.317,322.595,345.109,308.406,345.054z M352.326,176.094l-0.08,124.96    c0.021,4.855-0.57,9.693-1.76,14.4l-121.52-91.44l115.84-75.12C350.061,156.967,352.688,166.469,352.326,176.094z" fill="#b7c4cb"/>
                    </G>
                </G>
                <G>
                    <G>
                        <Path d="M207.312,55.108c-27.04-13.888-60.218-3.226-74.106,23.814c-4,7.788-6.084,16.417-6.08,25.172    c0.176,30.348,24.851,54.845,55.2,54.8c4.48,0.005,8.942-0.56,13.28-1.68c1.605-0.219,3.02-1.163,3.84-2.56    c0.807-1.322,0.983-2.935,0.48-4.4c-0.144-1.275-0.811-2.434-1.84-3.2c-1.419-0.993-3.203-1.315-4.88-0.88    c-3.529,0.881-7.165,1.258-10.8,1.12c-24.035,0.044-43.556-19.405-43.6-43.44s19.405-43.556,43.44-43.6    c24.035-0.044,43.556,19.405,43.6,43.44c0.072,6.944-1.607,13.795-4.88,19.92c-1.474,2.91-3.903,5.226-6.88,6.56h-1.2    c-1.68,0-1.76-4.4-1.76-4.4v-21.92c0.84-15.972-11.426-29.601-27.398-30.442c-15.972-0.84-29.601,11.426-30.442,27.398    c-0.053,1.014-0.053,2.029,0,3.043c-0.313,16.39,12.653,29.964,29.04,30.4c6.404,0.035,12.613-2.205,17.52-6.32v0.4    c0.053,3.045,1.03,6.002,2.8,8.48c2.408,3.206,6.233,5.029,10.24,4.88c1.194,0.173,2.406,0.173,3.6,0    c6.203-2.039,11.423-6.318,14.64-12v-0.48C245.013,102.174,234.352,68.996,207.312,55.108z M182.326,122.574l0.08,0.08    c-9.804-0.295-17.513-8.481-17.218-18.286c0.004-0.145,0.01-0.29,0.018-0.434c-0.453-9.929,7.194-18.363,17.12-18.88    c9.942,0.559,17.635,8.926,17.36,18.88C200.001,113.861,192.25,122.184,182.326,122.574z" fill="#b7c4cb"/>
                    </G>
                </G>
            </Svg>
        );
    }
}